#ifndef XASSETLIST_H
#define XASSETLIST_H

#include "xscriptstringlist.h"
#include "xasset.h"

#include <QVector>

class XAssetList : public XAsset
{
public:
    explicit XAssetList();

    void ParseData(QDataStream *aStream) override;

    XScriptStringList GetStringList() const;
    void SetStringList(const XScriptStringList& stringList);

    int GetAssetCount() const;
    void SetAssetCount(int count);

    QVector<XAsset*> GetAssets();
    void SetAssets(QVector<XAsset *> assets);

private:
    XScriptStringList mStringList;
    int mAssetCount = 0;
    QVector<XAsset*> mAssets;
};

#endif // XASSETLIST_H

